## org.opencyc.elf.experience
Class Experience

    java.lang.Object
      |
      +--org.opencyc.elf.ELFObject
            |
            +--org.opencyc.elf.experience.Experience

public class Experience
extends ELFObject

Provides the Experience container for the Elementary Loop Functioning (ELF).

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`protected State` `finalState` the final state of the experience
`protected Goal` `goal` the goal that was sought from the initial state
`protected State` `initialState` the intial state of the experience
`protected java.sql.Timestamp` `timestamp` when the experience occurred
`protected java.util.ArrayList` `transitions` the state transitions from the initial state to the final state
`protected Value` `value` the value of the experience

Fields inherited from class org.opencyc.elf.ELFObject
`name`

Constructor Summary
`Experience()` Constructs a new experience object.

Method Summary
`State` `getFinalState()` Gets the final state of the experience
`Goal` `getGoal()` Gets the goal that was sought from the initial state
`State` `getInitialState()` Gets the intial state of the experience
`java.sql.Timestamp` `getTimestamp()` Gets when the experience occurred
`java.util.ArrayList` `getTransitions()` Gets the state transitions
`Value` `getValue()` Gets the value of the experience
`void` `setFinalState(State finalState)` Sets the final state of the experience
`void` `setGoal(Goal goal)` Sets the goal that was sought from the initial state
`void` `setInitialState(State initialState)` Sets the intial state of the experience
`void` `setTimestamp(java.sql.Timestamp timestamp)` Sets when the experience occurred
`void` `setTransitions(java.util.ArrayList transitions)` Sets the state transitions
`void` `setValue(Value value)` Sets the value of the experience

Methods inherited from class org.opencyc.elf.ELFObject
`getName, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### timestamp

    protected java.sql.Timestamp timestamp

  when the experience occurred

### initialState

    protected State initialState

  the intial state of the experience

### finalState

    protected State finalState

  the final state of the experience

### goal

    protected Goal goal

  the goal that was sought from the initial state

### transitions

    protected java.util.ArrayList transitions

  the state transitions from the initial state to the final state

### value

    protected Value value

  the value of the experience

Constructor Detail

### Experience

    public Experience()

  Constructs a new experience object.

Method Detail

### getTimestamp

    public java.sql.Timestamp getTimestamp()

  Gets when the experience occurred
  Returns:
    when the experience occurred

### setTimestamp

    public void setTimestamp(java.sql.Timestamp timestamp)

  Sets when the experience occurred
  Parameters:
    `xxx` - when the experience occurred

### getInitialState

    public State getInitialState()

  Gets the intial state of the experience
  Returns:
    the intial state of the experience

### setInitialState

    public void setInitialState(State initialState)

  Sets the intial state of the experience
  Parameters:
    `initialState` - the intial state of the experience

### getFinalState

    public State getFinalState()

  Gets the final state of the experience
  Returns:
    the final state of the experience

### setFinalState

    public void setFinalState(State finalState)

  Sets the final state of the experience
  Parameters:
    `finalState` - the final state of the experience

### getGoal

    public Goal getGoal()

  Gets the goal that was sought from the initial state
  Returns:
    the goal that was sought from the initial state

### setGoal

    public void setGoal(Goal goal)

  Sets the goal that was sought from the initial state
  Parameters:
    `goal` - the goal that was sought from the initial state

### getTransitions

    public java.util.ArrayList getTransitions()

  Gets the state transitions
  Returns:
    the state transitions

### setTransitions

    public void setTransitions(java.util.ArrayList transitions)

  Sets the state transitions
  Parameters:
    `transitions` - the state transitions

### getValue

    public Value getValue()

  Gets the value of the experience
  Returns:
    the value of the experience

### setValue

    public void setValue(Value value)

  Sets the value of the experience
  Parameters:
    `xxx` - the value of the experience